# mongoc_client_destroy()

## Synopsis

    void
    mongoc_client_destroy (mongoc_client_t *client);

Release all resources associated with `client` and free the structure. Does nothing if `client` is NULL.

Only call mongoc_client_destroy() on a single-threaded client. Do not call on a mongoc_client_t obtained from a mongoc_client_pool_t, which should instead be pushed back with mongoc_client_pool_push().

## Parameters

- `client`: A mongoc_client_t.

See also

mongoc_client_pool_push() to push a multi-threaded client back onto a pool.